Update Security Inbox triage criteria
curl --request PATCH \
--url https://neo.api.projectdiscovery.io/api/v1/gmail/mailboxes/{id}/triage-policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"triage_policy": "<string>"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/gmail/mailboxes/{id}/triage-policy"
payload = { "triage_policy": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({triage_policy: '<string>'})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/gmail/mailboxes/{id}/triage-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email_address": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triage_policy": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Internal
Update Security Inbox triage criteria
Update acceptance criteria Neo uses when triaging mail from this mailbox. Only the teammate who connected the mailbox can change this. Send an empty string to clear the criteria.
PATCH
/
api
/
v1
/
gmail
/
mailboxes
/
{id}
/
triage-policy
Update Security Inbox triage criteria
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Mailbox id
Body
application/json
Acceptance criteria Neo uses when triaging this mailbox. Empty string clears the criteria.
⌘I

